SignalStandardType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum SignalStandardType

- java.lang.Object
- - java.lang.Enum<SignalStandardType>
  - - tv.amwa.maj.enumeration.SignalStandardType

- All Implemented Interfaces:
    Serializable, Comparable<SignalStandardType>, MediaEnumerationValue

      public enum SignalStandardType
      extends Enum<SignalStandardType>
      implements MediaEnumerationValue

  Specifies an underlying signal standard used to define the raster.

  Original C name: `aafSignalStandard_e`

  See Also:
    `TypeDefinitions.SignalStandardType`, `PictureDescriptor.getSignalStandard()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ITU1358` 525/625 line progressive raster, as defined in ITU-R BT 1358 Studio parameters of 625 and 525 line progressive television systems.
    `ITU601` 525/625 line interlaced raster, as specified in ITU-R BT.601 Studio encoding parameters of digital television for standard 4:3 and wide screen 16:9 aspect ratios.
    `None` No defined signal standard.
    `SMPTE274M` 1125 line raster, as specified in SMPTE 247M Television - 1920 x 1080 Image Sample Structure, Digital Representation and Digital Timing Reference Sequences for Multiple Picture Rates.
    `SMPTE296M` 720 line progressive raster, as specified in SMPTE 296M Television - 1280 x 720 Progressive Image Sample Structure - Analog and Digital Representation and Analog Interface.
    `SMPTE347M` 540 Mbit/s mappings, as specified in SMPTE 247M Television - 540 Mb/s Serial Digital Interface - Source Image Format Mapping.
    `SMPTE349M` 1485 Mbit/s mappings, as specified in SMPTE 349M Television - Transport of Alternate Source Image Formats Through SMPTE 292M.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static SignalStandardType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SignalStandardType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### None

          public static final SignalStandardType None

      No defined signal standard.

    - #### ITU601

          public static final SignalStandardType ITU601

      525/625 line interlaced raster, as specified in ITU-R BT.601 Studio encoding parameters of digital television for standard 4:3 and wide screen 16:9 aspect ratios.

    - #### ITU1358

          public static final SignalStandardType ITU1358

      525/625 line progressive raster, as defined in ITU-R BT 1358 Studio parameters of 625 and 525 line progressive television systems.

      .

    - #### SMPTE347M

          public static final SignalStandardType SMPTE347M

      540 Mbit/s mappings, as specified in SMPTE 247M Television - 540 Mb/s Serial Digital Interface - Source Image Format Mapping.

    - #### SMPTE274M

          public static final SignalStandardType SMPTE274M

      1125 line raster, as specified in SMPTE 247M Television - 1920 x 1080 Image Sample Structure, Digital Representation and Digital Timing Reference Sequences for Multiple Picture Rates.

    - #### SMPTE296M

          public static final SignalStandardType SMPTE296M

      720 line progressive raster, as specified in SMPTE 296M Television - 1280 x 720 Progressive Image Sample Structure - Analog and Digital Representation and Analog Interface.

    - #### SMPTE349M

          public static final SignalStandardType SMPTE349M

      1485 Mbit/s mappings, as specified in SMPTE 349M Television - Transport of Alternate Source Image Formats Through SMPTE 292M.

  - ### Method Detail

    - #### values

          public static SignalStandardType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignalStandardType c : SignalStandardType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignalStandardType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.